﻿@import url('https://fonts.googleapis.com/css?family=Noto+Sans+TC');


html {
    /*scroll-padding-top: 3.5rem;*/
    scroll-padding-top: 8.5rem;
    /*scroll-padding-top: 140px;*/
}

body {
    font-family: 'Century Gothic';
}


/* header video */
header {
    padding-top: 9.5rem;
    padding-bottom: 6rem;
}

header {
    position: relative;
    background-color: black;
    height: 75vh;
    min-height: 25rem;
    width: 100%;
    overflow: hidden;
}

header video {
    position: absolute;
    top: 50%;
    left: 50%;
    min-width: 100%;
    min-height: 100%;
    width: auto;
    height: auto;
    z-index: 0;
    -ms-transform: translateX(-50%) translateY(-50%);
    -moz-transform: translateX(-50%) translateY(-50%);
    -webkit-transform: translateX(-50%) translateY(-50%);
    transform: translateX(-50%) translateY(-50%);
}

header .container {
    position: relative;
    z-index: 2;
}

header .overlay {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    background-color: black;
    opacity: 0;
    z-index: 1;
}

/* Media Query for devices withi coarse pointers and no hover functionality */
/* This will use a fallback image instead of a video for devices that commonly do not support the HTML5 video element */

@media (pointer: coarse) and (hover: none) {
    header {
        /*background: url('https://source.unsplash.com/XT5OInaElMw/1600x900') black no-repeat center center scroll;*/
        background: url('../web_images/video_1.jpg') black no-repeat center center scroll;
    }

    header video {
        display: none;
    }
}


.odm-google-maps {
    position: relative;
    padding-bottom: 75%;
    overflow: hidden;
}


.odm-google-maps iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100% !important;
    height: 100% !important;
}


.footer {
    text-align: center;
    font-size: 0.9rem;
}


#mainNav .navbar-toggler {
    padding: 0.75rem;
    font-size: 0.75rem;
    font-family: 'Century Gothic';
    text-transform: uppercase;
    font-weight: 700;
}


#mainNav {
    /*MODE: iPhone*/
    padding-top: 1rem;
    padding-bottom: 1rem;
    background-color: white;
    box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075) !important;
}


#mainNav .navbar-nav .nav-item .nav-link {
    font-family: 'Century Gothic';
    font-size: 1rem;
    color: #4A4A4A;
    letter-spacing: 0.0625em;
    text-align: center;
}


/*#mainNav .navbar-nav .nav-item .nav-link.active, #mainNav .navbar-nav .nav-item .nav-link:hover {
    color: #ffc800;
}*/

#mainNav .navbar-nav .nav-item .nav-link:hover {
    color: #ffc800;
}


.banner-heading-line {
    text-align: center;
    border: none;
    border-bottom: none;
    border-top: none;
}


.banner-heading {
    color: #4A4A4A;
    font-size: 2.0rem;
    font-weight: bold;
    text-transform: uppercase;
    letter-spacing: 5px;
    font-family: 'Century Gothic';
}


.banner-heading-text {
    color: #542C09;
    font-size: 2.0rem;
    font-weight: bold;
    text-transform: uppercase;
    letter-spacing: 5px;
}


.page-section {
    padding: 3rem 0;
}


.odm-text-title {
    font-size: 22px;
    line-height: 32px;
    letter-spacing: 2px;
    color: #fd7e14;
    font-weight:bold;
}


.odm-text-desc {
    font-size: 16px;
    line-height: 25px;
    text-align: center;
    letter-spacing: 2px;
    color: #4A4A4A;
    text-align: left;
    /*word-wrap: break-word;*/
    /*word-break: break-all;*/
    /*text-align: justify;*/
}


article {
    margin: 0 auto;
    width: 100%;
    text-align: justify;
}

article p {
    -webkit-hyphens: auto;
    -moz-hyphens: auto;
    -ms-hyphens: auto;
    hyphens: auto;
}



/* 項目標籤 */
.odm-card-columns {
    column-count: 1;
}


ul.odm-menu-outside {
    padding-top: 0px;
    padding-left: 0px;
    line-height: 40px;
    /*text-align: justify;*/
    text-justify: inter-ideograph;
}


ul.odm-menu-outside li {
    list-style-type: square;
    list-style-position: outside;
    margin-left: 20px;
    line-height: 40px;
}




@media (min-width:768px) {

    /* 捲軸 [未離開] header, navbar-shrink , */
    #mainNav {
        padding-top: 1.5rem;
        padding-bottom: 1.5rem;
        /* 背景預設成透明 */
        background-color: transparent;
        transition: padding-top 0.3s ease-in-out, padding-bottom 0.3s ease-in-out;
    }


    #mainNav .navbar-nav .nav-item .nav-link {
        font-family: 'Century Gothic';
        font-size: 1rem;
        color: white;
        letter-spacing: 0.0625em;
    }


    #mainNav .navbar-nav .nav-item {
        margin-right: 1rem;
    }


    #mainNav .navbar-nav .nav-item:last-child {
        margin-right: 0;
    }


    .odm-img-logo {
        content: url("../web_images/OnDigital_logo_T.png");
    }



    /* 捲軸 [已離開] header, navbar-shrink , */
    #mainNav.navbar-shrink {
        padding-top: 1rem;
        padding-bottom: 1rem;
        background-color: white;
        box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075) !important;
        /*box-shadow: 0 1rem 3rem rgba(0, 0, 0, 0.175) !important;*/
    }


    #mainNav.navbar-shrink .navbar-nav .nav-item .nav-link {
        color: #4A4A4A;
    }


    /*#mainNav.navbar-shrink .navbar-nav .nav-item .nav-link.active, #mainNav .navbar-nav .nav-item .nav-link:hover {
        color: #ffc800;
    }*/

    #mainNav .navbar-nav .nav-item .nav-link:hover {
        color: #ffc800;
    }


    #mainNav.navbar-shrink .odm-img-logo {
        content: url("../web_images/OnDigital_logo.png");
    }


    .banner-heading-line {
        text-align: center;
        border-bottom: 0.5px solid black;
        border-top: 0.5px solid black;
    }


    .banner-heading {
        color: #4A4A4A;
        font-size: 4.5rem;
        font-weight: normal;
        text-transform: uppercase;
        letter-spacing: 10px;
        margin-top: -29px;
        margin-bottom: -27px;
        font-family: 'Century Gothic';
    }


    .banner-heading-text {
        color: #542C09;
        font-size: 2.5rem;
        font-weight: bold;
        text-transform: uppercase;
        letter-spacing: 5px;
    }


    .page-section {
        padding: 6rem 0;
    }


    .odm-text-title {
        font-size: 24px;
        line-height: 42px;
        letter-spacing: 5px;
        color: #fd7e14;
        font-weight: bold;
    }


    .odm-text-desc {
        font-size: 16px;
        line-height: 25px;
        text-align: center;
        letter-spacing: 2px;
        color: #4A4A4A;
        text-align: left;
        /*word-wrap: break-word;*/
        /*word-break: break-all;*/
        /*text-align: justify;*/
    }


    .odm-card-columns {
        column-count: 2;
    }


    article {
        margin: 0 auto;
        width: 100%;
        text-align: justify;
    }

    article p {
        -webkit-hyphens: auto;
        -moz-hyphens: auto;
        -ms-hyphens: auto;
        hyphens: auto;
    }


    
}
